#include "mainwindow.h"

#include <QApplication>
#include <QDebug>

#include "rotator.h"

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	MainWindow w;

	Rotator r;

	QObject::connect(&r, &Rotator::angleUpdated, &w, &MainWindow::angleUpdated);
	QObject::connect(&r, &Rotator::newImage, &w, &MainWindow::newImage);
	QObject::connect(&r, &Rotator::force, &w, &MainWindow::setForce);
	QObject::connect(&w, &MainWindow::reset, &r, &Rotator::reset);

	w.show();
	return a.exec();
}
